// variation de la luminosité de la led actionné par un bouton.

#define LED 3            // led connectée patte 3
#define bouton 12        // bouton connecté patte 12
int etat = 0;            // etat sera utilisé pour sauver l'état de la patte d'entrée
int comptage = 0;        // variable de comptage et décomptage

void setup()
{
 pinMode(LED, OUTPUT);     // la led est en sortie
 pinMode(bouton, INPUT);   // le bouton est sur une entrée.
}

void loop()                // partie du programme qui va se répéter
{
  etat = digitalRead(bouton); // lit et sauve l'état du bouton appuyé ou non.
  if (etat == HIGH) // si le bouton est appuyé on fait varier la LED.
  {
  for (comptage = 0; comptage <=255; comptage +=1)
    // LED éteinte=0 qui va s'allumer en augmentant de 1 sa valeur jusqu'à son maximum=254.
    {analogWrite(LED, comptage); // fixe la luminosité de la LED pour chaque incrémentation.
    delay(15);  // pause de 15ms pour stabiliser la luminosité à chaque incrémentation.
    }
  for (comptage = 255; comptage >=0; comptage -=1)
    // LED allumer=255 qui va s'éteindre en baissant de 1 sa valeur jusqu'à son extinction=1.
    {analogWrite(LED, comptage); // fixe la luminosité de la LED pour chaque décrementation.
    delay(15);  // pause de 15ms pour stabiliser la luminosité à chaque décrémentation.
    }
  }
  else
  {analogWrite(LED, 0); // led éteinte si le bouton n'est pas appuyé
  } 
}

